struct usb_host_endpoint
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

struct usb_host_endpoint — host-side endpoint descriptor and queue

## Synopsis

    struct usb_host_endpoint {
      struct usb_endpoint_descriptor desc;
      struct list_head urb_list;
      void * hcpriv;
      struct ep_device * ep_dev;
      unsigned char * extra;
      int extralen;
    };

## Members

desc

  descriptor for this endpoint, wMaxPacketSize in native byteorder

urb_list

  urbs queued to this endpoint; maintained by usbcore

hcpriv

  for use by HCD; typically holds hardware dma queue head (QH) with one or more transfer descriptors (TDs) per urb

ep_dev

  ep_device for sysfs info

extra

  descriptors following this endpoint in the configuration

extralen

  how many bytes of “extra” are valid

## Description

USB requests are always queued to a given endpoint, identified by a descriptor within an active interface in a given USB configuration.

Prev | Up | Next
Chapter 4. Host-Side Data Types and Macros | Home | struct usb_interface